### Signal

# WebKit2 InputMethodContext::committed

#### Declaration

    void
    committed (
      WebKitInputMethodContext* self,
      gchar* text,
      gpointer user_data
    )

#### Description [src]

Emitted when a complete input sequence has been entered by the user. This can be a single character immediately after a key press or the final result of preediting.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 2.28

#### Parameters

`text` | `gchar*`
| The string result.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.